org.apache.ignite.internal.processors.cache

## Class CacheGroupMetricsMXBeanImpl.GroupAllocationTrucker

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.CacheGroupMetricsMXBeanImpl.GroupAllocationTrucker

All Implemented Interfaces:
  AllocatedPageTracker

Enclosing class:
  CacheGroupMetricsMXBeanImpl

    public static class CacheGroupMetricsMXBeanImpl.GroupAllocationTrucker
    extends Object
    implements AllocatedPageTracker

### Constructor Summary

Constructors
Constructor and Description
`GroupAllocationTrucker(AllocatedPageTracker delegate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `updateTotalAllocatedPages(long delta)` Increments totalAllocatedPages counter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GroupAllocationTrucker

    public GroupAllocationTrucker(AllocatedPageTracker delegate)

Parameters:
  `delegate` - Delegate allocation trucker.

### Method Detail

#### updateTotalAllocatedPages

    public void updateTotalAllocatedPages(long delta)

Increments totalAllocatedPages counter.

Specified by:
  `updateTotalAllocatedPages` in interface `AllocatedPageTracker`
Parameters:
  `delta` - Value to increment by.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018